Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.services
Class ATestGrammarAccess

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder
              org.eclipse.amp.amf.testing.services.ATestGrammarAccess

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess

    public class ATestGrammarAccess

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

Nested Class Summary
`class` | `ATestGrammarAccess.ConstraintElements`
`class` | `ATestGrammarAccess.MeasureElements`
`class` | `ATestGrammarAccess.ModelElements`
`class` | `ATestGrammarAccess.TestMemberElements`
`class` | `ATestGrammarAccess.TestsElements`

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Nested classes/interfaces inherited from interface org.eclipse.xtext.IGrammarAccess
`org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`

Constructor Summary
`ATestGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider, ABaseGrammarAccess gaABase)`

Method Summary
`ABaseGrammarAccess` | `getABaseGrammarAccess()`
`org.eclipse.xtext.TerminalRule` | `getANY_OTHERRule()`
`ABaseGrammarAccess.BOOLEANElements` | `getBOOLEANAccess()`
`org.eclipse.xtext.EnumRule` | `getBOOLEANRule()`
`ABaseGrammarAccess.BooleanValueElements` | `getBooleanValueAccess()`
`org.eclipse.xtext.ParserRule` | `getBooleanValueRule()`
`ATestGrammarAccess.ConstraintElements` | `getConstraintAccess()`
`org.eclipse.xtext.ParserRule` | `getConstraintRule()`
`org.eclipse.xtext.TerminalRule` | `getDESC_STRINGRule()`
`org.eclipse.xtext.Grammar` | `getGrammar()`
`org.eclipse.xtext.TerminalRule` | `getIDRule()`
`org.eclipse.xtext.TerminalRule` | `getINTEGERRule()`
`org.eclipse.xtext.TerminalRule` | `getINTRule()`
`ABaseGrammarAccess.IntValueElements` | `getIntValueAccess()`
`org.eclipse.xtext.ParserRule` | `getIntValueRule()`
`ATestGrammarAccess.MeasureElements` | `getMeasureAccess()`
`org.eclipse.xtext.EnumRule` | `getMeasureRule()`
`org.eclipse.xtext.TerminalRule` | `getML_COMMENTRule()`
`ATestGrammarAccess.ModelElements` | `getModelAccess()`
`org.eclipse.xtext.ParserRule` | `getModelRule()`
`org.eclipse.xtext.TerminalRule` | `getREALRule()`
`ABaseGrammarAccess.RealValueElements` | `getRealValueAccess()`
`org.eclipse.xtext.ParserRule` | `getRealValueRule()`
`org.eclipse.xtext.TerminalRule` | `getSL_COMMENTRule()`
`org.eclipse.xtext.TerminalRule` | `getSTRINGRule()`
`ABaseGrammarAccess.StringValueElements` | `getStringValueAccess()`
`org.eclipse.xtext.ParserRule` | `getStringValueRule()`
`ATestGrammarAccess.TestMemberElements` | `getTestMemberAccess()`
`org.eclipse.xtext.ParserRule` | `getTestMemberRule()`
`ATestGrammarAccess.TestsElements` | `getTestsAccess()`
`org.eclipse.xtext.ParserRule` | `getTestsRule()`
`ABaseGrammarAccess.ValueElements` | `getValueAccess()`
`org.eclipse.xtext.ParserRule` | `getValueRule()`
`org.eclipse.xtext.TerminalRule` | `getWSRule()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.xtext.IGrammarAccess
`findKeywordPairs, findKeywords, findRuleCalls`

Constructor Detail

### ATestGrammarAccess

    @Inject
    public ATestGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider,
                                     ABaseGrammarAccess gaABase)

Method Detail

### getGrammar

    public org.eclipse.xtext.Grammar getGrammar()

### getABaseGrammarAccess

    public ABaseGrammarAccess getABaseGrammarAccess()

### getModelAccess

    public ATestGrammarAccess.ModelElements getModelAccess()

### getModelRule

    public org.eclipse.xtext.ParserRule getModelRule()

### getTestsAccess

    public ATestGrammarAccess.TestsElements getTestsAccess()

### getTestsRule

    public org.eclipse.xtext.ParserRule getTestsRule()

### getTestMemberAccess

    public ATestGrammarAccess.TestMemberElements getTestMemberAccess()

### getTestMemberRule

    public org.eclipse.xtext.ParserRule getTestMemberRule()

### getConstraintAccess

    public ATestGrammarAccess.ConstraintElements getConstraintAccess()

### getConstraintRule

    public org.eclipse.xtext.ParserRule getConstraintRule()

### getMeasureAccess

    public ATestGrammarAccess.MeasureElements getMeasureAccess()

### getMeasureRule

    public org.eclipse.xtext.EnumRule getMeasureRule()

### getValueAccess

    public ABaseGrammarAccess.ValueElements getValueAccess()

### getValueRule

    public org.eclipse.xtext.ParserRule getValueRule()

### getIntValueAccess

    public ABaseGrammarAccess.IntValueElements getIntValueAccess()

### getIntValueRule

    public org.eclipse.xtext.ParserRule getIntValueRule()

### getRealValueAccess

    public ABaseGrammarAccess.RealValueElements getRealValueAccess()

### getRealValueRule

    public org.eclipse.xtext.ParserRule getRealValueRule()

### getStringValueAccess

    public ABaseGrammarAccess.StringValueElements getStringValueAccess()

### getStringValueRule

    public org.eclipse.xtext.ParserRule getStringValueRule()

### getBooleanValueAccess

    public ABaseGrammarAccess.BooleanValueElements getBooleanValueAccess()

### getBooleanValueRule

    public org.eclipse.xtext.ParserRule getBooleanValueRule()

### getBOOLEANAccess

    public ABaseGrammarAccess.BOOLEANElements getBOOLEANAccess()

### getBOOLEANRule

    public org.eclipse.xtext.EnumRule getBOOLEANRule()

### getINTEGERRule

    public org.eclipse.xtext.TerminalRule getINTEGERRule()

### getREALRule

    public org.eclipse.xtext.TerminalRule getREALRule()

### getDESC_STRINGRule

    public org.eclipse.xtext.TerminalRule getDESC_STRINGRule()

### getIDRule

    public org.eclipse.xtext.TerminalRule getIDRule()

### getINTRule

    public org.eclipse.xtext.TerminalRule getINTRule()

### getSTRINGRule

    public org.eclipse.xtext.TerminalRule getSTRINGRule()

### getML_COMMENTRule

    public org.eclipse.xtext.TerminalRule getML_COMMENTRule()

### getSL_COMMENTRule

    public org.eclipse.xtext.TerminalRule getSL_COMMENTRule()

### getWSRule

    public org.eclipse.xtext.TerminalRule getWSRule()

### getANY_OTHERRule

    public org.eclipse.xtext.TerminalRule getANY_OTHERRule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD